// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.21.0
// 	protoc        v3.11.4
// source: shared/doc/proto/document.proto

package doc_proto

import (
	context "context"
	proto "github.com/golang/protobuf/proto"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// This is a compile-time assertion that a sufficiently up-to-date version
// of the legacy proto package is being used.
const _ = proto.ProtoPackageIsVersion4

type Request struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Data []byte `protobuf:"bytes,1,opt,name=data,proto3" json:"data,omitempty"`
	User []byte `protobuf:"bytes,3,opt,name=user,proto3" json:"user,omitempty"`
}

func (x *Request) Reset() {
	*x = Request{}
	if protoimpl.UnsafeEnabled {
		mi := &file_shared_doc_proto_document_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Request) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Request) ProtoMessage() {}

func (x *Request) ProtoReflect() protoreflect.Message {
	mi := &file_shared_doc_proto_document_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Request.ProtoReflect.Descriptor instead.
func (*Request) Descriptor() ([]byte, []int) {
	return file_shared_doc_proto_document_proto_rawDescGZIP(), []int{0}
}

func (x *Request) GetData() []byte {
	if x != nil {
		return x.Data
	}
	return nil
}

func (x *Request) GetUser() []byte {
	if x != nil {
		return x.User
	}
	return nil
}

type RequestID struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id   string `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	User []byte `protobuf:"bytes,3,opt,name=user,proto3" json:"user,omitempty"`
}

func (x *RequestID) Reset() {
	*x = RequestID{}
	if protoimpl.UnsafeEnabled {
		mi := &file_shared_doc_proto_document_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *RequestID) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*RequestID) ProtoMessage() {}

func (x *RequestID) ProtoReflect() protoreflect.Message {
	mi := &file_shared_doc_proto_document_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use RequestID.ProtoReflect.Descriptor instead.
func (*RequestID) Descriptor() ([]byte, []int) {
	return file_shared_doc_proto_document_proto_rawDescGZIP(), []int{1}
}

func (x *RequestID) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

func (x *RequestID) GetUser() []byte {
	if x != nil {
		return x.User
	}
	return nil
}

type Response struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Error bool   `protobuf:"varint,1,opt,name=error,proto3" json:"error,omitempty"`
	Data  []byte `protobuf:"bytes,2,opt,name=data,proto3" json:"data,omitempty"`
	Code  int32  `protobuf:"varint,3,opt,name=code,proto3" json:"code,omitempty"`
	Type  string `protobuf:"bytes,4,opt,name=type,proto3" json:"type,omitempty"`
	Msg   string `protobuf:"bytes,5,opt,name=msg,proto3" json:"msg,omitempty"`
}

func (x *Response) Reset() {
	*x = Response{}
	if protoimpl.UnsafeEnabled {
		mi := &file_shared_doc_proto_document_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Response) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Response) ProtoMessage() {}

func (x *Response) ProtoReflect() protoreflect.Message {
	mi := &file_shared_doc_proto_document_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Response.ProtoReflect.Descriptor instead.
func (*Response) Descriptor() ([]byte, []int) {
	return file_shared_doc_proto_document_proto_rawDescGZIP(), []int{2}
}

func (x *Response) GetError() bool {
	if x != nil {
		return x.Error
	}
	return false
}

func (x *Response) GetData() []byte {
	if x != nil {
		return x.Data
	}
	return nil
}

func (x *Response) GetCode() int32 {
	if x != nil {
		return x.Code
	}
	return 0
}

func (x *Response) GetType() string {
	if x != nil {
		return x.Type
	}
	return ""
}

func (x *Response) GetMsg() string {
	if x != nil {
		return x.Msg
	}
	return ""
}

type RequestGetFileByDocumentIDAndPageID struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	DocumentId string `protobuf:"bytes,1,opt,name=document_id,json=documentId,proto3" json:"document_id,omitempty"`
	PageId     string `protobuf:"bytes,2,opt,name=page_id,json=pageId,proto3" json:"page_id,omitempty"`
	User       []byte `protobuf:"bytes,3,opt,name=user,proto3" json:"user,omitempty"`
}

func (x *RequestGetFileByDocumentIDAndPageID) Reset() {
	*x = RequestGetFileByDocumentIDAndPageID{}
	if protoimpl.UnsafeEnabled {
		mi := &file_shared_doc_proto_document_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *RequestGetFileByDocumentIDAndPageID) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*RequestGetFileByDocumentIDAndPageID) ProtoMessage() {}

func (x *RequestGetFileByDocumentIDAndPageID) ProtoReflect() protoreflect.Message {
	mi := &file_shared_doc_proto_document_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use RequestGetFileByDocumentIDAndPageID.ProtoReflect.Descriptor instead.
func (*RequestGetFileByDocumentIDAndPageID) Descriptor() ([]byte, []int) {
	return file_shared_doc_proto_document_proto_rawDescGZIP(), []int{3}
}

func (x *RequestGetFileByDocumentIDAndPageID) GetDocumentId() string {
	if x != nil {
		return x.DocumentId
	}
	return ""
}

func (x *RequestGetFileByDocumentIDAndPageID) GetPageId() string {
	if x != nil {
		return x.PageId
	}
	return ""
}

func (x *RequestGetFileByDocumentIDAndPageID) GetUser() []byte {
	if x != nil {
		return x.User
	}
	return nil
}

type ResponseGetFileByDocumentIDAndPageID struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Error bool                                       `protobuf:"varint,1,opt,name=error,proto3" json:"error,omitempty"`
	Data  *ResponseGetFileByDocumentIDAndPageIDFiles `protobuf:"bytes,2,opt,name=data,proto3" json:"data,omitempty"`
	Code  int32                                      `protobuf:"varint,3,opt,name=code,proto3" json:"code,omitempty"`
	Type  string                                     `protobuf:"bytes,4,opt,name=type,proto3" json:"type,omitempty"`
	Msg   string                                     `protobuf:"bytes,5,opt,name=msg,proto3" json:"msg,omitempty"`
	Token string                                     `protobuf:"bytes,6,opt,name=token,proto3" json:"token,omitempty"`
}

func (x *ResponseGetFileByDocumentIDAndPageID) Reset() {
	*x = ResponseGetFileByDocumentIDAndPageID{}
	if protoimpl.UnsafeEnabled {
		mi := &file_shared_doc_proto_document_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ResponseGetFileByDocumentIDAndPageID) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ResponseGetFileByDocumentIDAndPageID) ProtoMessage() {}

func (x *ResponseGetFileByDocumentIDAndPageID) ProtoReflect() protoreflect.Message {
	mi := &file_shared_doc_proto_document_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ResponseGetFileByDocumentIDAndPageID.ProtoReflect.Descriptor instead.
func (*ResponseGetFileByDocumentIDAndPageID) Descriptor() ([]byte, []int) {
	return file_shared_doc_proto_document_proto_rawDescGZIP(), []int{4}
}

func (x *ResponseGetFileByDocumentIDAndPageID) GetError() bool {
	if x != nil {
		return x.Error
	}
	return false
}

func (x *ResponseGetFileByDocumentIDAndPageID) GetData() *ResponseGetFileByDocumentIDAndPageIDFiles {
	if x != nil {
		return x.Data
	}
	return nil
}

func (x *ResponseGetFileByDocumentIDAndPageID) GetCode() int32 {
	if x != nil {
		return x.Code
	}
	return 0
}

func (x *ResponseGetFileByDocumentIDAndPageID) GetType() string {
	if x != nil {
		return x.Type
	}
	return ""
}

func (x *ResponseGetFileByDocumentIDAndPageID) GetMsg() string {
	if x != nil {
		return x.Msg
	}
	return ""
}

func (x *ResponseGetFileByDocumentIDAndPageID) GetToken() string {
	if x != nil {
		return x.Token
	}
	return ""
}

type RequestGetDocumentAndValuesByDocumentID struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	DocumentId string `protobuf:"bytes,1,opt,name=document_id,json=documentId,proto3" json:"document_id,omitempty"`
	User       string `protobuf:"bytes,2,opt,name=user,proto3" json:"user,omitempty"`
}

func (x *RequestGetDocumentAndValuesByDocumentID) Reset() {
	*x = RequestGetDocumentAndValuesByDocumentID{}
	if protoimpl.UnsafeEnabled {
		mi := &file_shared_doc_proto_document_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *RequestGetDocumentAndValuesByDocumentID) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*RequestGetDocumentAndValuesByDocumentID) ProtoMessage() {}

func (x *RequestGetDocumentAndValuesByDocumentID) ProtoReflect() protoreflect.Message {
	mi := &file_shared_doc_proto_document_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use RequestGetDocumentAndValuesByDocumentID.ProtoReflect.Descriptor instead.
func (*RequestGetDocumentAndValuesByDocumentID) Descriptor() ([]byte, []int) {
	return file_shared_doc_proto_document_proto_rawDescGZIP(), []int{5}
}

func (x *RequestGetDocumentAndValuesByDocumentID) GetDocumentId() string {
	if x != nil {
		return x.DocumentId
	}
	return ""
}

func (x *RequestGetDocumentAndValuesByDocumentID) GetUser() string {
	if x != nil {
		return x.User
	}
	return ""
}

type ResponseGetFileByDocumentIDAndPageIDFiles struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	FileEncode string `protobuf:"bytes,3,opt,name=file_encode,json=fileEncode,proto3" json:"file_encode,omitempty"`
	Ext        string `protobuf:"bytes,4,opt,name=ext,proto3" json:"ext,omitempty"`
}

func (x *ResponseGetFileByDocumentIDAndPageIDFiles) Reset() {
	*x = ResponseGetFileByDocumentIDAndPageIDFiles{}
	if protoimpl.UnsafeEnabled {
		mi := &file_shared_doc_proto_document_proto_msgTypes[6]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ResponseGetFileByDocumentIDAndPageIDFiles) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ResponseGetFileByDocumentIDAndPageIDFiles) ProtoMessage() {}

func (x *ResponseGetFileByDocumentIDAndPageIDFiles) ProtoReflect() protoreflect.Message {
	mi := &file_shared_doc_proto_document_proto_msgTypes[6]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ResponseGetFileByDocumentIDAndPageIDFiles.ProtoReflect.Descriptor instead.
func (*ResponseGetFileByDocumentIDAndPageIDFiles) Descriptor() ([]byte, []int) {
	return file_shared_doc_proto_document_proto_rawDescGZIP(), []int{4, 0}
}

func (x *ResponseGetFileByDocumentIDAndPageIDFiles) GetFileEncode() string {
	if x != nil {
		return x.FileEncode
	}
	return ""
}

func (x *ResponseGetFileByDocumentIDAndPageIDFiles) GetExt() string {
	if x != nil {
		return x.Ext
	}
	return ""
}

var File_shared_doc_proto_document_proto protoreflect.FileDescriptor

var file_shared_doc_proto_document_proto_rawDesc = []byte{
	0x0a, 0x1f, 0x73, 0x68, 0x61, 0x72, 0x65, 0x64, 0x2f, 0x64, 0x6f, 0x63, 0x2f, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x2f, 0x64, 0x6f, 0x63, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x2e, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x12, 0x09, 0x64, 0x6f, 0x63, 0x5f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0x31, 0x0a, 0x07,
	0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x12, 0x0a, 0x04, 0x64, 0x61, 0x74, 0x61, 0x18,
	0x01, 0x20, 0x01, 0x28, 0x0c, 0x52, 0x04, 0x64, 0x61, 0x74, 0x61, 0x12, 0x12, 0x0a, 0x04, 0x75,
	0x73, 0x65, 0x72, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0c, 0x52, 0x04, 0x75, 0x73, 0x65, 0x72, 0x22,
	0x2f, 0x0a, 0x09, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x49, 0x44, 0x12, 0x0e, 0x0a, 0x02,
	0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x02, 0x69, 0x64, 0x12, 0x12, 0x0a, 0x04,
	0x75, 0x73, 0x65, 0x72, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0c, 0x52, 0x04, 0x75, 0x73, 0x65, 0x72,
	0x22, 0x6e, 0x0a, 0x08, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x14, 0x0a, 0x05,
	0x65, 0x72, 0x72, 0x6f, 0x72, 0x18, 0x01, 0x20, 0x01, 0x28, 0x08, 0x52, 0x05, 0x65, 0x72, 0x72,
	0x6f, 0x72, 0x12, 0x12, 0x0a, 0x04, 0x64, 0x61, 0x74, 0x61, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0c,
	0x52, 0x04, 0x64, 0x61, 0x74, 0x61, 0x12, 0x12, 0x0a, 0x04, 0x63, 0x6f, 0x64, 0x65, 0x18, 0x03,
	0x20, 0x01, 0x28, 0x05, 0x52, 0x04, 0x63, 0x6f, 0x64, 0x65, 0x12, 0x12, 0x0a, 0x04, 0x74, 0x79,
	0x70, 0x65, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x74, 0x79, 0x70, 0x65, 0x12, 0x10,
	0x0a, 0x03, 0x6d, 0x73, 0x67, 0x18, 0x05, 0x20, 0x01, 0x28, 0x09, 0x52, 0x03, 0x6d, 0x73, 0x67,
	0x22, 0x73, 0x0a, 0x23, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x47, 0x65, 0x74, 0x46, 0x69,
	0x6c, 0x65, 0x42, 0x79, 0x44, 0x6f, 0x63, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x49, 0x44, 0x41, 0x6e,
	0x64, 0x50, 0x61, 0x67, 0x65, 0x49, 0x44, 0x12, 0x1f, 0x0a, 0x0b, 0x64, 0x6f, 0x63, 0x75, 0x6d,
	0x65, 0x6e, 0x74, 0x5f, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0a, 0x64, 0x6f,
	0x63, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x49, 0x64, 0x12, 0x17, 0x0a, 0x07, 0x70, 0x61, 0x67, 0x65,
	0x5f, 0x69, 0x64, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x70, 0x61, 0x67, 0x65, 0x49,
	0x64, 0x12, 0x12, 0x0a, 0x04, 0x75, 0x73, 0x65, 0x72, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0c, 0x52,
	0x04, 0x75, 0x73, 0x65, 0x72, 0x22, 0x93, 0x02, 0x0a, 0x24, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e,
	0x73, 0x65, 0x47, 0x65, 0x74, 0x46, 0x69, 0x6c, 0x65, 0x42, 0x79, 0x44, 0x6f, 0x63, 0x75, 0x6d,
	0x65, 0x6e, 0x74, 0x49, 0x44, 0x41, 0x6e, 0x64, 0x50, 0x61, 0x67, 0x65, 0x49, 0x44, 0x12, 0x14,
	0x0a, 0x05, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x18, 0x01, 0x20, 0x01, 0x28, 0x08, 0x52, 0x05, 0x65,
	0x72, 0x72, 0x6f, 0x72, 0x12, 0x49, 0x0a, 0x04, 0x64, 0x61, 0x74, 0x61, 0x18, 0x02, 0x20, 0x01,
	0x28, 0x0b, 0x32, 0x35, 0x2e, 0x64, 0x6f, 0x63, 0x5f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2e, 0x52,
	0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x47, 0x65, 0x74, 0x46, 0x69, 0x6c, 0x65, 0x42, 0x79,
	0x44, 0x6f, 0x63, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x49, 0x44, 0x41, 0x6e, 0x64, 0x50, 0x61, 0x67,
	0x65, 0x49, 0x44, 0x2e, 0x66, 0x69, 0x6c, 0x65, 0x73, 0x52, 0x04, 0x64, 0x61, 0x74, 0x61, 0x12,
	0x12, 0x0a, 0x04, 0x63, 0x6f, 0x64, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x05, 0x52, 0x04, 0x63,
	0x6f, 0x64, 0x65, 0x12, 0x12, 0x0a, 0x04, 0x74, 0x79, 0x70, 0x65, 0x18, 0x04, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x04, 0x74, 0x79, 0x70, 0x65, 0x12, 0x10, 0x0a, 0x03, 0x6d, 0x73, 0x67, 0x18, 0x05,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x03, 0x6d, 0x73, 0x67, 0x12, 0x14, 0x0a, 0x05, 0x74, 0x6f, 0x6b,
	0x65, 0x6e, 0x18, 0x06, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x74, 0x6f, 0x6b, 0x65, 0x6e, 0x1a,
	0x3a, 0x0a, 0x05, 0x66, 0x69, 0x6c, 0x65, 0x73, 0x12, 0x1f, 0x0a, 0x0b, 0x66, 0x69, 0x6c, 0x65,
	0x5f, 0x65, 0x6e, 0x63, 0x6f, 0x64, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0a, 0x66,
	0x69, 0x6c, 0x65, 0x45, 0x6e, 0x63, 0x6f, 0x64, 0x65, 0x12, 0x10, 0x0a, 0x03, 0x65, 0x78, 0x74,
	0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x52, 0x03, 0x65, 0x78, 0x74, 0x22, 0x5e, 0x0a, 0x27, 0x52,
	0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x47, 0x65, 0x74, 0x44, 0x6f, 0x63, 0x75, 0x6d, 0x65, 0x6e,
	0x74, 0x41, 0x6e, 0x64, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x73, 0x42, 0x79, 0x44, 0x6f, 0x63, 0x75,
	0x6d, 0x65, 0x6e, 0x74, 0x49, 0x44, 0x12, 0x1f, 0x0a, 0x0b, 0x64, 0x6f, 0x63, 0x75, 0x6d, 0x65,
	0x6e, 0x74, 0x5f, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0a, 0x64, 0x6f, 0x63,
	0x75, 0x6d, 0x65, 0x6e, 0x74, 0x49, 0x64, 0x12, 0x12, 0x0a, 0x04, 0x75, 0x73, 0x65, 0x72, 0x18,
	0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x75, 0x73, 0x65, 0x72, 0x32, 0xf8, 0x01, 0x0a, 0x1d,
	0x64, 0x6f, 0x63, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x73,
	0x53, 0x74, 0x6f, 0x72, 0x65, 0x44, 0x6f, 0x63, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x12, 0x33, 0x0a,
	0x06, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x12, 0x12, 0x2e, 0x64, 0x6f, 0x63, 0x5f, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x2e, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x13, 0x2e, 0x64, 0x6f,
	0x63, 0x5f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2e, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65,
	0x22, 0x00, 0x12, 0x33, 0x0a, 0x06, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x12, 0x12, 0x2e, 0x64,
	0x6f, 0x63, 0x5f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2e, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74,
	0x1a, 0x13, 0x2e, 0x64, 0x6f, 0x63, 0x5f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2e, 0x52, 0x65, 0x73,
	0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x00, 0x12, 0x37, 0x0a, 0x0a, 0x41, 0x64, 0x64, 0x56, 0x65,
	0x72, 0x73, 0x69, 0x6f, 0x6e, 0x12, 0x12, 0x2e, 0x64, 0x6f, 0x63, 0x5f, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x2e, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x13, 0x2e, 0x64, 0x6f, 0x63, 0x5f,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2e, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x00,
	0x12, 0x34, 0x0a, 0x07, 0x41, 0x64, 0x64, 0x50, 0x61, 0x67, 0x65, 0x12, 0x12, 0x2e, 0x64, 0x6f,
	0x63, 0x5f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2e, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a,
	0x13, 0x2e, 0x64, 0x6f, 0x63, 0x5f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2e, 0x52, 0x65, 0x73, 0x70,
	0x6f, 0x6e, 0x73, 0x65, 0x22, 0x00, 0x32, 0xe2, 0x04, 0x0a, 0x1e, 0x64, 0x6f, 0x63, 0x75, 0x6d,
	0x65, 0x6e, 0x74, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x73, 0x53, 0x65, 0x61, 0x72, 0x63,
	0x68, 0x44, 0x6f, 0x63, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x12, 0x81, 0x01, 0x0a, 0x1c, 0x47, 0x65,
	0x74, 0x46, 0x69, 0x6c, 0x65, 0x42, 0x79, 0x44, 0x6f, 0x63, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x49,
	0x44, 0x41, 0x6e, 0x64, 0x50, 0x61, 0x67, 0x65, 0x49, 0x44, 0x12, 0x2e, 0x2e, 0x64, 0x6f, 0x63,
	0x5f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2e, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x47, 0x65,
	0x74, 0x46, 0x69, 0x6c, 0x65, 0x42, 0x79, 0x44, 0x6f, 0x63, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x49,
	0x44, 0x41, 0x6e, 0x64, 0x50, 0x61, 0x67, 0x65, 0x49, 0x44, 0x1a, 0x2f, 0x2e, 0x64, 0x6f, 0x63,
	0x5f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2e, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x47,
	0x65, 0x74, 0x46, 0x69, 0x6c, 0x65, 0x42, 0x79, 0x44, 0x6f, 0x63, 0x75, 0x6d, 0x65, 0x6e, 0x74,
	0x49, 0x44, 0x41, 0x6e, 0x64, 0x50, 0x61, 0x67, 0x65, 0x49, 0x44, 0x22, 0x00, 0x12, 0x3b, 0x0a,
	0x0e, 0x53, 0x65, 0x61, 0x72, 0x63, 0x68, 0x44, 0x6f, 0x63, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x12,
	0x12, 0x2e, 0x64, 0x6f, 0x63, 0x5f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2e, 0x52, 0x65, 0x71, 0x75,
	0x65, 0x73, 0x74, 0x1a, 0x13, 0x2e, 0x64, 0x6f, 0x63, 0x5f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2e,
	0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x00, 0x12, 0x46, 0x0a, 0x17, 0x47, 0x65,
	0x74, 0x56, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x73, 0x42, 0x79, 0x44, 0x6f, 0x63, 0x75, 0x6d,
	0x65, 0x6e, 0x74, 0x49, 0x44, 0x12, 0x14, 0x2e, 0x64, 0x6f, 0x63, 0x5f, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x2e, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x49, 0x44, 0x1a, 0x13, 0x2e, 0x64, 0x6f,
	0x63, 0x5f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2e, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65,
	0x22, 0x00, 0x12, 0x42, 0x0a, 0x13, 0x47, 0x65, 0x74, 0x50, 0x61, 0x67, 0x65, 0x73, 0x42, 0x79,
	0x56, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x49, 0x44, 0x12, 0x14, 0x2e, 0x64, 0x6f, 0x63, 0x5f,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2e, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x49, 0x44, 0x1a,
	0x13, 0x2e, 0x64, 0x6f, 0x63, 0x5f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2e, 0x52, 0x65, 0x73, 0x70,
	0x6f, 0x6e, 0x73, 0x65, 0x22, 0x00, 0x12, 0x44, 0x0a, 0x15, 0x47, 0x65, 0x74, 0x56, 0x61, 0x6c,
	0x75, 0x65, 0x73, 0x42, 0x79, 0x44, 0x6f, 0x63, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x49, 0x44, 0x12,
	0x14, 0x2e, 0x64, 0x6f, 0x63, 0x5f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2e, 0x52, 0x65, 0x71, 0x75,
	0x65, 0x73, 0x74, 0x49, 0x44, 0x1a, 0x13, 0x2e, 0x64, 0x6f, 0x63, 0x5f, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x2e, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x00, 0x12, 0x6d, 0x0a, 0x20,
	0x47, 0x65, 0x74, 0x44, 0x6f, 0x63, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x41, 0x6e, 0x64, 0x56, 0x61,
	0x6c, 0x75, 0x65, 0x73, 0x42, 0x79, 0x44, 0x6f, 0x63, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x49, 0x44,
	0x12, 0x32, 0x2e, 0x64, 0x6f, 0x63, 0x5f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2e, 0x52, 0x65, 0x71,
	0x75, 0x65, 0x73, 0x74, 0x47, 0x65, 0x74, 0x44, 0x6f, 0x63, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x41,
	0x6e, 0x64, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x73, 0x42, 0x79, 0x44, 0x6f, 0x63, 0x75, 0x6d, 0x65,
	0x6e, 0x74, 0x49, 0x44, 0x1a, 0x13, 0x2e, 0x64, 0x6f, 0x63, 0x5f, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x2e, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x00, 0x12, 0x3e, 0x0a, 0x0f, 0x47,
	0x65, 0x74, 0x44, 0x6f, 0x63, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x42, 0x79, 0x49, 0x44, 0x12, 0x14,
	0x2e, 0x64, 0x6f, 0x63, 0x5f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2e, 0x52, 0x65, 0x71, 0x75, 0x65,
	0x73, 0x74, 0x49, 0x44, 0x1a, 0x13, 0x2e, 0x64, 0x6f, 0x63, 0x5f, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x2e, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x00, 0x32, 0xcc, 0x01, 0x0a, 0x1c,
	0x64, 0x6f, 0x63, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x73,
	0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x45, 0x6e, 0x74, 0x69, 0x74, 0x79, 0x12, 0x39, 0x0a, 0x0c,
	0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x45, 0x6e, 0x74, 0x69, 0x74, 0x79, 0x12, 0x12, 0x2e, 0x64,
	0x6f, 0x63, 0x5f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2e, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74,
	0x1a, 0x13, 0x2e, 0x64, 0x6f, 0x63, 0x5f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2e, 0x52, 0x65, 0x73,
	0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x00, 0x12, 0x39, 0x0a, 0x0c, 0x44, 0x65, 0x6c, 0x65, 0x74,
	0x65, 0x45, 0x6e, 0x74, 0x69, 0x74, 0x79, 0x12, 0x12, 0x2e, 0x64, 0x6f, 0x63, 0x5f, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x2e, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x13, 0x2e, 0x64, 0x6f,
	0x63, 0x5f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2e, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65,
	0x22, 0x00, 0x12, 0x36, 0x0a, 0x09, 0x4e, 0x65, 0x77, 0x45, 0x6e, 0x74, 0x69, 0x74, 0x79, 0x12,
	0x12, 0x2e, 0x64, 0x6f, 0x63, 0x5f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2e, 0x52, 0x65, 0x71, 0x75,
	0x65, 0x73, 0x74, 0x1a, 0x13, 0x2e, 0x64, 0x6f, 0x63, 0x5f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2e,
	0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x00, 0x32, 0x92, 0x01, 0x0a, 0x18, 0x64,
	0x6f, 0x63, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x73, 0x43,
	0x6f, 0x6d, 0x6d, 0x65, 0x6e, 0x74, 0x73, 0x12, 0x33, 0x0a, 0x06, 0x43, 0x72, 0x65, 0x61, 0x74,
	0x65, 0x12, 0x12, 0x2e, 0x64, 0x6f, 0x63, 0x5f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2e, 0x52, 0x65,
	0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x13, 0x2e, 0x64, 0x6f, 0x63, 0x5f, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x2e, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x00, 0x12, 0x41, 0x0a, 0x14,
	0x47, 0x65, 0x74, 0x43, 0x6f, 0x6d, 0x6d, 0x65, 0x6e, 0x74, 0x42, 0x79, 0x44, 0x6f, 0x63, 0x75,
	0x6d, 0x65, 0x6e, 0x74, 0x12, 0x12, 0x2e, 0x64, 0x6f, 0x63, 0x5f, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x2e, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x13, 0x2e, 0x64, 0x6f, 0x63, 0x5f, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x2e, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x00, 0x32,
	0x52, 0x0a, 0x1b, 0x64, 0x6f, 0x63, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x53, 0x65, 0x72, 0x76, 0x69,
	0x63, 0x65, 0x73, 0x43, 0x6f, 0x6d, 0x70, 0x6f, 0x73, 0x69, 0x74, 0x69, 0x6f, 0x6e, 0x12, 0x33,
	0x0a, 0x06, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x12, 0x12, 0x2e, 0x64, 0x6f, 0x63, 0x5f, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x2e, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x13, 0x2e, 0x64,
	0x6f, 0x63, 0x5f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2e, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73,
	0x65, 0x22, 0x00, 0x42, 0x0b, 0x5a, 0x09, 0x64, 0x6f, 0x63, 0x5f, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_shared_doc_proto_document_proto_rawDescOnce sync.Once
	file_shared_doc_proto_document_proto_rawDescData = file_shared_doc_proto_document_proto_rawDesc
)

func file_shared_doc_proto_document_proto_rawDescGZIP() []byte {
	file_shared_doc_proto_document_proto_rawDescOnce.Do(func() {
		file_shared_doc_proto_document_proto_rawDescData = protoimpl.X.CompressGZIP(file_shared_doc_proto_document_proto_rawDescData)
	})
	return file_shared_doc_proto_document_proto_rawDescData
}

var file_shared_doc_proto_document_proto_msgTypes = make([]protoimpl.MessageInfo, 7)
var file_shared_doc_proto_document_proto_goTypes = []interface{}{
	(*Request)(nil),   // 0: doc_proto.Request
	(*RequestID)(nil), // 1: doc_proto.RequestID
	(*Response)(nil),  // 2: doc_proto.Response
	(*RequestGetFileByDocumentIDAndPageID)(nil),       // 3: doc_proto.RequestGetFileByDocumentIDAndPageID
	(*ResponseGetFileByDocumentIDAndPageID)(nil),      // 4: doc_proto.ResponseGetFileByDocumentIDAndPageID
	(*RequestGetDocumentAndValuesByDocumentID)(nil),   // 5: doc_proto.RequestGetDocumentAndValuesByDocumentID
	(*ResponseGetFileByDocumentIDAndPageIDFiles)(nil), // 6: doc_proto.ResponseGetFileByDocumentIDAndPageID.files
}
var file_shared_doc_proto_document_proto_depIdxs = []int32{
	6,  // 0: doc_proto.ResponseGetFileByDocumentIDAndPageID.data:type_name -> doc_proto.ResponseGetFileByDocumentIDAndPageID.files
	0,  // 1: doc_proto.documentServicesStoreDocument.Create:input_type -> doc_proto.Request
	0,  // 2: doc_proto.documentServicesStoreDocument.Delete:input_type -> doc_proto.Request
	0,  // 3: doc_proto.documentServicesStoreDocument.AddVersion:input_type -> doc_proto.Request
	0,  // 4: doc_proto.documentServicesStoreDocument.AddPage:input_type -> doc_proto.Request
	3,  // 5: doc_proto.documentServicesSearchDocument.GetFileByDocumentIDAndPageID:input_type -> doc_proto.RequestGetFileByDocumentIDAndPageID
	0,  // 6: doc_proto.documentServicesSearchDocument.SearchDocument:input_type -> doc_proto.Request
	1,  // 7: doc_proto.documentServicesSearchDocument.GetVersionsByDocumentID:input_type -> doc_proto.RequestID
	1,  // 8: doc_proto.documentServicesSearchDocument.GetPagesByVersionID:input_type -> doc_proto.RequestID
	1,  // 9: doc_proto.documentServicesSearchDocument.GetValuesByDocumentID:input_type -> doc_proto.RequestID
	5,  // 10: doc_proto.documentServicesSearchDocument.GetDocumentAndValuesByDocumentID:input_type -> doc_proto.RequestGetDocumentAndValuesByDocumentID
	1,  // 11: doc_proto.documentServicesSearchDocument.GetDocumentByID:input_type -> doc_proto.RequestID
	0,  // 12: doc_proto.documentServicesUpdateEntity.UpdateEntity:input_type -> doc_proto.Request
	0,  // 13: doc_proto.documentServicesUpdateEntity.DeleteEntity:input_type -> doc_proto.Request
	0,  // 14: doc_proto.documentServicesUpdateEntity.NewEntity:input_type -> doc_proto.Request
	0,  // 15: doc_proto.documentServicesComments.Create:input_type -> doc_proto.Request
	0,  // 16: doc_proto.documentServicesComments.GetCommentByDocument:input_type -> doc_proto.Request
	0,  // 17: doc_proto.documentServicesComposition.Create:input_type -> doc_proto.Request
	2,  // 18: doc_proto.documentServicesStoreDocument.Create:output_type -> doc_proto.Response
	2,  // 19: doc_proto.documentServicesStoreDocument.Delete:output_type -> doc_proto.Response
	2,  // 20: doc_proto.documentServicesStoreDocument.AddVersion:output_type -> doc_proto.Response
	2,  // 21: doc_proto.documentServicesStoreDocument.AddPage:output_type -> doc_proto.Response
	4,  // 22: doc_proto.documentServicesSearchDocument.GetFileByDocumentIDAndPageID:output_type -> doc_proto.ResponseGetFileByDocumentIDAndPageID
	2,  // 23: doc_proto.documentServicesSearchDocument.SearchDocument:output_type -> doc_proto.Response
	2,  // 24: doc_proto.documentServicesSearchDocument.GetVersionsByDocumentID:output_type -> doc_proto.Response
	2,  // 25: doc_proto.documentServicesSearchDocument.GetPagesByVersionID:output_type -> doc_proto.Response
	2,  // 26: doc_proto.documentServicesSearchDocument.GetValuesByDocumentID:output_type -> doc_proto.Response
	2,  // 27: doc_proto.documentServicesSearchDocument.GetDocumentAndValuesByDocumentID:output_type -> doc_proto.Response
	2,  // 28: doc_proto.documentServicesSearchDocument.GetDocumentByID:output_type -> doc_proto.Response
	2,  // 29: doc_proto.documentServicesUpdateEntity.UpdateEntity:output_type -> doc_proto.Response
	2,  // 30: doc_proto.documentServicesUpdateEntity.DeleteEntity:output_type -> doc_proto.Response
	2,  // 31: doc_proto.documentServicesUpdateEntity.NewEntity:output_type -> doc_proto.Response
	2,  // 32: doc_proto.documentServicesComments.Create:output_type -> doc_proto.Response
	2,  // 33: doc_proto.documentServicesComments.GetCommentByDocument:output_type -> doc_proto.Response
	2,  // 34: doc_proto.documentServicesComposition.Create:output_type -> doc_proto.Response
	18, // [18:35] is the sub-list for method output_type
	1,  // [1:18] is the sub-list for method input_type
	1,  // [1:1] is the sub-list for extension type_name
	1,  // [1:1] is the sub-list for extension extendee
	0,  // [0:1] is the sub-list for field type_name
}

func init() { file_shared_doc_proto_document_proto_init() }
func file_shared_doc_proto_document_proto_init() {
	if File_shared_doc_proto_document_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_shared_doc_proto_document_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Request); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_shared_doc_proto_document_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*RequestID); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_shared_doc_proto_document_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Response); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_shared_doc_proto_document_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*RequestGetFileByDocumentIDAndPageID); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_shared_doc_proto_document_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ResponseGetFileByDocumentIDAndPageID); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_shared_doc_proto_document_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*RequestGetDocumentAndValuesByDocumentID); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_shared_doc_proto_document_proto_msgTypes[6].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ResponseGetFileByDocumentIDAndPageIDFiles); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_shared_doc_proto_document_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   7,
			NumExtensions: 0,
			NumServices:   5,
		},
		GoTypes:           file_shared_doc_proto_document_proto_goTypes,
		DependencyIndexes: file_shared_doc_proto_document_proto_depIdxs,
		MessageInfos:      file_shared_doc_proto_document_proto_msgTypes,
	}.Build()
	File_shared_doc_proto_document_proto = out.File
	file_shared_doc_proto_document_proto_rawDesc = nil
	file_shared_doc_proto_document_proto_goTypes = nil
	file_shared_doc_proto_document_proto_depIdxs = nil
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConnInterface

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion6

// DocumentServicesStoreDocumentClient is the client API for DocumentServicesStoreDocument service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type DocumentServicesStoreDocumentClient interface {
	Create(ctx context.Context, in *Request, opts ...grpc.CallOption) (*Response, error)
	Delete(ctx context.Context, in *Request, opts ...grpc.CallOption) (*Response, error)
	AddVersion(ctx context.Context, in *Request, opts ...grpc.CallOption) (*Response, error)
	AddPage(ctx context.Context, in *Request, opts ...grpc.CallOption) (*Response, error)
}

type documentServicesStoreDocumentClient struct {
	cc grpc.ClientConnInterface
}

func NewDocumentServicesStoreDocumentClient(cc grpc.ClientConnInterface) DocumentServicesStoreDocumentClient {
	return &documentServicesStoreDocumentClient{cc}
}

func (c *documentServicesStoreDocumentClient) Create(ctx context.Context, in *Request, opts ...grpc.CallOption) (*Response, error) {
	out := new(Response)
	err := c.cc.Invoke(ctx, "/doc_proto.documentServicesStoreDocument/Create", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *documentServicesStoreDocumentClient) Delete(ctx context.Context, in *Request, opts ...grpc.CallOption) (*Response, error) {
	out := new(Response)
	err := c.cc.Invoke(ctx, "/doc_proto.documentServicesStoreDocument/Delete", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *documentServicesStoreDocumentClient) AddVersion(ctx context.Context, in *Request, opts ...grpc.CallOption) (*Response, error) {
	out := new(Response)
	err := c.cc.Invoke(ctx, "/doc_proto.documentServicesStoreDocument/AddVersion", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *documentServicesStoreDocumentClient) AddPage(ctx context.Context, in *Request, opts ...grpc.CallOption) (*Response, error) {
	out := new(Response)
	err := c.cc.Invoke(ctx, "/doc_proto.documentServicesStoreDocument/AddPage", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// DocumentServicesStoreDocumentServer is the server API for DocumentServicesStoreDocument service.
type DocumentServicesStoreDocumentServer interface {
	Create(context.Context, *Request) (*Response, error)
	Delete(context.Context, *Request) (*Response, error)
	AddVersion(context.Context, *Request) (*Response, error)
	AddPage(context.Context, *Request) (*Response, error)
}

// UnimplementedDocumentServicesStoreDocumentServer can be embedded to have forward compatible implementations.
type UnimplementedDocumentServicesStoreDocumentServer struct {
}

func (*UnimplementedDocumentServicesStoreDocumentServer) Create(context.Context, *Request) (*Response, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Create not implemented")
}
func (*UnimplementedDocumentServicesStoreDocumentServer) Delete(context.Context, *Request) (*Response, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Delete not implemented")
}
func (*UnimplementedDocumentServicesStoreDocumentServer) AddVersion(context.Context, *Request) (*Response, error) {
	return nil, status.Errorf(codes.Unimplemented, "method AddVersion not implemented")
}
func (*UnimplementedDocumentServicesStoreDocumentServer) AddPage(context.Context, *Request) (*Response, error) {
	return nil, status.Errorf(codes.Unimplemented, "method AddPage not implemented")
}

func RegisterDocumentServicesStoreDocumentServer(s *grpc.Server, srv DocumentServicesStoreDocumentServer) {
	s.RegisterService(&_DocumentServicesStoreDocument_serviceDesc, srv)
}

func _DocumentServicesStoreDocument_Create_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(Request)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(DocumentServicesStoreDocumentServer).Create(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/doc_proto.documentServicesStoreDocument/Create",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(DocumentServicesStoreDocumentServer).Create(ctx, req.(*Request))
	}
	return interceptor(ctx, in, info, handler)
}

func _DocumentServicesStoreDocument_Delete_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(Request)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(DocumentServicesStoreDocumentServer).Delete(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/doc_proto.documentServicesStoreDocument/Delete",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(DocumentServicesStoreDocumentServer).Delete(ctx, req.(*Request))
	}
	return interceptor(ctx, in, info, handler)
}

func _DocumentServicesStoreDocument_AddVersion_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(Request)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(DocumentServicesStoreDocumentServer).AddVersion(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/doc_proto.documentServicesStoreDocument/AddVersion",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(DocumentServicesStoreDocumentServer).AddVersion(ctx, req.(*Request))
	}
	return interceptor(ctx, in, info, handler)
}

func _DocumentServicesStoreDocument_AddPage_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(Request)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(DocumentServicesStoreDocumentServer).AddPage(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/doc_proto.documentServicesStoreDocument/AddPage",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(DocumentServicesStoreDocumentServer).AddPage(ctx, req.(*Request))
	}
	return interceptor(ctx, in, info, handler)
}

var _DocumentServicesStoreDocument_serviceDesc = grpc.ServiceDesc{
	ServiceName: "doc_proto.documentServicesStoreDocument",
	HandlerType: (*DocumentServicesStoreDocumentServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "Create",
			Handler:    _DocumentServicesStoreDocument_Create_Handler,
		},
		{
			MethodName: "Delete",
			Handler:    _DocumentServicesStoreDocument_Delete_Handler,
		},
		{
			MethodName: "AddVersion",
			Handler:    _DocumentServicesStoreDocument_AddVersion_Handler,
		},
		{
			MethodName: "AddPage",
			Handler:    _DocumentServicesStoreDocument_AddPage_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "shared/doc/proto/document.proto",
}

// DocumentServicesSearchDocumentClient is the client API for DocumentServicesSearchDocument service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type DocumentServicesSearchDocumentClient interface {
	GetFileByDocumentIDAndPageID(ctx context.Context, in *RequestGetFileByDocumentIDAndPageID, opts ...grpc.CallOption) (*ResponseGetFileByDocumentIDAndPageID, error)
	SearchDocument(ctx context.Context, in *Request, opts ...grpc.CallOption) (*Response, error)
	GetVersionsByDocumentID(ctx context.Context, in *RequestID, opts ...grpc.CallOption) (*Response, error)
	GetPagesByVersionID(ctx context.Context, in *RequestID, opts ...grpc.CallOption) (*Response, error)
	GetValuesByDocumentID(ctx context.Context, in *RequestID, opts ...grpc.CallOption) (*Response, error)
	GetDocumentAndValuesByDocumentID(ctx context.Context, in *RequestGetDocumentAndValuesByDocumentID, opts ...grpc.CallOption) (*Response, error)
	GetDocumentByID(ctx context.Context, in *RequestID, opts ...grpc.CallOption) (*Response, error)
}

type documentServicesSearchDocumentClient struct {
	cc grpc.ClientConnInterface
}

func NewDocumentServicesSearchDocumentClient(cc grpc.ClientConnInterface) DocumentServicesSearchDocumentClient {
	return &documentServicesSearchDocumentClient{cc}
}

func (c *documentServicesSearchDocumentClient) GetFileByDocumentIDAndPageID(ctx context.Context, in *RequestGetFileByDocumentIDAndPageID, opts ...grpc.CallOption) (*ResponseGetFileByDocumentIDAndPageID, error) {
	out := new(ResponseGetFileByDocumentIDAndPageID)
	err := c.cc.Invoke(ctx, "/doc_proto.documentServicesSearchDocument/GetFileByDocumentIDAndPageID", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *documentServicesSearchDocumentClient) SearchDocument(ctx context.Context, in *Request, opts ...grpc.CallOption) (*Response, error) {
	out := new(Response)
	err := c.cc.Invoke(ctx, "/doc_proto.documentServicesSearchDocument/SearchDocument", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *documentServicesSearchDocumentClient) GetVersionsByDocumentID(ctx context.Context, in *RequestID, opts ...grpc.CallOption) (*Response, error) {
	out := new(Response)
	err := c.cc.Invoke(ctx, "/doc_proto.documentServicesSearchDocument/GetVersionsByDocumentID", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *documentServicesSearchDocumentClient) GetPagesByVersionID(ctx context.Context, in *RequestID, opts ...grpc.CallOption) (*Response, error) {
	out := new(Response)
	err := c.cc.Invoke(ctx, "/doc_proto.documentServicesSearchDocument/GetPagesByVersionID", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *documentServicesSearchDocumentClient) GetValuesByDocumentID(ctx context.Context, in *RequestID, opts ...grpc.CallOption) (*Response, error) {
	out := new(Response)
	err := c.cc.Invoke(ctx, "/doc_proto.documentServicesSearchDocument/GetValuesByDocumentID", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *documentServicesSearchDocumentClient) GetDocumentAndValuesByDocumentID(ctx context.Context, in *RequestGetDocumentAndValuesByDocumentID, opts ...grpc.CallOption) (*Response, error) {
	out := new(Response)
	err := c.cc.Invoke(ctx, "/doc_proto.documentServicesSearchDocument/GetDocumentAndValuesByDocumentID", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *documentServicesSearchDocumentClient) GetDocumentByID(ctx context.Context, in *RequestID, opts ...grpc.CallOption) (*Response, error) {
	out := new(Response)
	err := c.cc.Invoke(ctx, "/doc_proto.documentServicesSearchDocument/GetDocumentByID", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// DocumentServicesSearchDocumentServer is the server API for DocumentServicesSearchDocument service.
type DocumentServicesSearchDocumentServer interface {
	GetFileByDocumentIDAndPageID(context.Context, *RequestGetFileByDocumentIDAndPageID) (*ResponseGetFileByDocumentIDAndPageID, error)
	SearchDocument(context.Context, *Request) (*Response, error)
	GetVersionsByDocumentID(context.Context, *RequestID) (*Response, error)
	GetPagesByVersionID(context.Context, *RequestID) (*Response, error)
	GetValuesByDocumentID(context.Context, *RequestID) (*Response, error)
	GetDocumentAndValuesByDocumentID(context.Context, *RequestGetDocumentAndValuesByDocumentID) (*Response, error)
	GetDocumentByID(context.Context, *RequestID) (*Response, error)
}

// UnimplementedDocumentServicesSearchDocumentServer can be embedded to have forward compatible implementations.
type UnimplementedDocumentServicesSearchDocumentServer struct {
}

func (*UnimplementedDocumentServicesSearchDocumentServer) GetFileByDocumentIDAndPageID(context.Context, *RequestGetFileByDocumentIDAndPageID) (*ResponseGetFileByDocumentIDAndPageID, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetFileByDocumentIDAndPageID not implemented")
}
func (*UnimplementedDocumentServicesSearchDocumentServer) SearchDocument(context.Context, *Request) (*Response, error) {
	return nil, status.Errorf(codes.Unimplemented, "method SearchDocument not implemented")
}
func (*UnimplementedDocumentServicesSearchDocumentServer) GetVersionsByDocumentID(context.Context, *RequestID) (*Response, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetVersionsByDocumentID not implemented")
}
func (*UnimplementedDocumentServicesSearchDocumentServer) GetPagesByVersionID(context.Context, *RequestID) (*Response, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetPagesByVersionID not implemented")
}
func (*UnimplementedDocumentServicesSearchDocumentServer) GetValuesByDocumentID(context.Context, *RequestID) (*Response, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetValuesByDocumentID not implemented")
}
func (*UnimplementedDocumentServicesSearchDocumentServer) GetDocumentAndValuesByDocumentID(context.Context, *RequestGetDocumentAndValuesByDocumentID) (*Response, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetDocumentAndValuesByDocumentID not implemented")
}
func (*UnimplementedDocumentServicesSearchDocumentServer) GetDocumentByID(context.Context, *RequestID) (*Response, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetDocumentByID not implemented")
}

func RegisterDocumentServicesSearchDocumentServer(s *grpc.Server, srv DocumentServicesSearchDocumentServer) {
	s.RegisterService(&_DocumentServicesSearchDocument_serviceDesc, srv)
}

func _DocumentServicesSearchDocument_GetFileByDocumentIDAndPageID_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(RequestGetFileByDocumentIDAndPageID)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(DocumentServicesSearchDocumentServer).GetFileByDocumentIDAndPageID(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/doc_proto.documentServicesSearchDocument/GetFileByDocumentIDAndPageID",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(DocumentServicesSearchDocumentServer).GetFileByDocumentIDAndPageID(ctx, req.(*RequestGetFileByDocumentIDAndPageID))
	}
	return interceptor(ctx, in, info, handler)
}

func _DocumentServicesSearchDocument_SearchDocument_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(Request)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(DocumentServicesSearchDocumentServer).SearchDocument(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/doc_proto.documentServicesSearchDocument/SearchDocument",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(DocumentServicesSearchDocumentServer).SearchDocument(ctx, req.(*Request))
	}
	return interceptor(ctx, in, info, handler)
}

func _DocumentServicesSearchDocument_GetVersionsByDocumentID_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(RequestID)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(DocumentServicesSearchDocumentServer).GetVersionsByDocumentID(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/doc_proto.documentServicesSearchDocument/GetVersionsByDocumentID",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(DocumentServicesSearchDocumentServer).GetVersionsByDocumentID(ctx, req.(*RequestID))
	}
	return interceptor(ctx, in, info, handler)
}

func _DocumentServicesSearchDocument_GetPagesByVersionID_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(RequestID)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(DocumentServicesSearchDocumentServer).GetPagesByVersionID(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/doc_proto.documentServicesSearchDocument/GetPagesByVersionID",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(DocumentServicesSearchDocumentServer).GetPagesByVersionID(ctx, req.(*RequestID))
	}
	return interceptor(ctx, in, info, handler)
}

func _DocumentServicesSearchDocument_GetValuesByDocumentID_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(RequestID)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(DocumentServicesSearchDocumentServer).GetValuesByDocumentID(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/doc_proto.documentServicesSearchDocument/GetValuesByDocumentID",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(DocumentServicesSearchDocumentServer).GetValuesByDocumentID(ctx, req.(*RequestID))
	}
	return interceptor(ctx, in, info, handler)
}

func _DocumentServicesSearchDocument_GetDocumentAndValuesByDocumentID_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(RequestGetDocumentAndValuesByDocumentID)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(DocumentServicesSearchDocumentServer).GetDocumentAndValuesByDocumentID(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/doc_proto.documentServicesSearchDocument/GetDocumentAndValuesByDocumentID",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(DocumentServicesSearchDocumentServer).GetDocumentAndValuesByDocumentID(ctx, req.(*RequestGetDocumentAndValuesByDocumentID))
	}
	return interceptor(ctx, in, info, handler)
}

func _DocumentServicesSearchDocument_GetDocumentByID_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(RequestID)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(DocumentServicesSearchDocumentServer).GetDocumentByID(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/doc_proto.documentServicesSearchDocument/GetDocumentByID",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(DocumentServicesSearchDocumentServer).GetDocumentByID(ctx, req.(*RequestID))
	}
	return interceptor(ctx, in, info, handler)
}

var _DocumentServicesSearchDocument_serviceDesc = grpc.ServiceDesc{
	ServiceName: "doc_proto.documentServicesSearchDocument",
	HandlerType: (*DocumentServicesSearchDocumentServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "GetFileByDocumentIDAndPageID",
			Handler:    _DocumentServicesSearchDocument_GetFileByDocumentIDAndPageID_Handler,
		},
		{
			MethodName: "SearchDocument",
			Handler:    _DocumentServicesSearchDocument_SearchDocument_Handler,
		},
		{
			MethodName: "GetVersionsByDocumentID",
			Handler:    _DocumentServicesSearchDocument_GetVersionsByDocumentID_Handler,
		},
		{
			MethodName: "GetPagesByVersionID",
			Handler:    _DocumentServicesSearchDocument_GetPagesByVersionID_Handler,
		},
		{
			MethodName: "GetValuesByDocumentID",
			Handler:    _DocumentServicesSearchDocument_GetValuesByDocumentID_Handler,
		},
		{
			MethodName: "GetDocumentAndValuesByDocumentID",
			Handler:    _DocumentServicesSearchDocument_GetDocumentAndValuesByDocumentID_Handler,
		},
		{
			MethodName: "GetDocumentByID",
			Handler:    _DocumentServicesSearchDocument_GetDocumentByID_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "shared/doc/proto/document.proto",
}

// DocumentServicesUpdateEntityClient is the client API for DocumentServicesUpdateEntity service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type DocumentServicesUpdateEntityClient interface {
	UpdateEntity(ctx context.Context, in *Request, opts ...grpc.CallOption) (*Response, error)
	DeleteEntity(ctx context.Context, in *Request, opts ...grpc.CallOption) (*Response, error)
	NewEntity(ctx context.Context, in *Request, opts ...grpc.CallOption) (*Response, error)
}

type documentServicesUpdateEntityClient struct {
	cc grpc.ClientConnInterface
}

func NewDocumentServicesUpdateEntityClient(cc grpc.ClientConnInterface) DocumentServicesUpdateEntityClient {
	return &documentServicesUpdateEntityClient{cc}
}

func (c *documentServicesUpdateEntityClient) UpdateEntity(ctx context.Context, in *Request, opts ...grpc.CallOption) (*Response, error) {
	out := new(Response)
	err := c.cc.Invoke(ctx, "/doc_proto.documentServicesUpdateEntity/UpdateEntity", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *documentServicesUpdateEntityClient) DeleteEntity(ctx context.Context, in *Request, opts ...grpc.CallOption) (*Response, error) {
	out := new(Response)
	err := c.cc.Invoke(ctx, "/doc_proto.documentServicesUpdateEntity/DeleteEntity", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *documentServicesUpdateEntityClient) NewEntity(ctx context.Context, in *Request, opts ...grpc.CallOption) (*Response, error) {
	out := new(Response)
	err := c.cc.Invoke(ctx, "/doc_proto.documentServicesUpdateEntity/NewEntity", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// DocumentServicesUpdateEntityServer is the server API for DocumentServicesUpdateEntity service.
type DocumentServicesUpdateEntityServer interface {
	UpdateEntity(context.Context, *Request) (*Response, error)
	DeleteEntity(context.Context, *Request) (*Response, error)
	NewEntity(context.Context, *Request) (*Response, error)
}

// UnimplementedDocumentServicesUpdateEntityServer can be embedded to have forward compatible implementations.
type UnimplementedDocumentServicesUpdateEntityServer struct {
}

func (*UnimplementedDocumentServicesUpdateEntityServer) UpdateEntity(context.Context, *Request) (*Response, error) {
	return nil, status.Errorf(codes.Unimplemented, "method UpdateEntity not implemented")
}
func (*UnimplementedDocumentServicesUpdateEntityServer) DeleteEntity(context.Context, *Request) (*Response, error) {
	return nil, status.Errorf(codes.Unimplemented, "method DeleteEntity not implemented")
}
func (*UnimplementedDocumentServicesUpdateEntityServer) NewEntity(context.Context, *Request) (*Response, error) {
	return nil, status.Errorf(codes.Unimplemented, "method NewEntity not implemented")
}

func RegisterDocumentServicesUpdateEntityServer(s *grpc.Server, srv DocumentServicesUpdateEntityServer) {
	s.RegisterService(&_DocumentServicesUpdateEntity_serviceDesc, srv)
}

func _DocumentServicesUpdateEntity_UpdateEntity_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(Request)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(DocumentServicesUpdateEntityServer).UpdateEntity(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/doc_proto.documentServicesUpdateEntity/UpdateEntity",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(DocumentServicesUpdateEntityServer).UpdateEntity(ctx, req.(*Request))
	}
	return interceptor(ctx, in, info, handler)
}

func _DocumentServicesUpdateEntity_DeleteEntity_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(Request)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(DocumentServicesUpdateEntityServer).DeleteEntity(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/doc_proto.documentServicesUpdateEntity/DeleteEntity",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(DocumentServicesUpdateEntityServer).DeleteEntity(ctx, req.(*Request))
	}
	return interceptor(ctx, in, info, handler)
}

func _DocumentServicesUpdateEntity_NewEntity_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(Request)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(DocumentServicesUpdateEntityServer).NewEntity(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/doc_proto.documentServicesUpdateEntity/NewEntity",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(DocumentServicesUpdateEntityServer).NewEntity(ctx, req.(*Request))
	}
	return interceptor(ctx, in, info, handler)
}

var _DocumentServicesUpdateEntity_serviceDesc = grpc.ServiceDesc{
	ServiceName: "doc_proto.documentServicesUpdateEntity",
	HandlerType: (*DocumentServicesUpdateEntityServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "UpdateEntity",
			Handler:    _DocumentServicesUpdateEntity_UpdateEntity_Handler,
		},
		{
			MethodName: "DeleteEntity",
			Handler:    _DocumentServicesUpdateEntity_DeleteEntity_Handler,
		},
		{
			MethodName: "NewEntity",
			Handler:    _DocumentServicesUpdateEntity_NewEntity_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "shared/doc/proto/document.proto",
}

// DocumentServicesCommentsClient is the client API for DocumentServicesComments service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type DocumentServicesCommentsClient interface {
	Create(ctx context.Context, in *Request, opts ...grpc.CallOption) (*Response, error)
	GetCommentByDocument(ctx context.Context, in *Request, opts ...grpc.CallOption) (*Response, error)
}

type documentServicesCommentsClient struct {
	cc grpc.ClientConnInterface
}

func NewDocumentServicesCommentsClient(cc grpc.ClientConnInterface) DocumentServicesCommentsClient {
	return &documentServicesCommentsClient{cc}
}

func (c *documentServicesCommentsClient) Create(ctx context.Context, in *Request, opts ...grpc.CallOption) (*Response, error) {
	out := new(Response)
	err := c.cc.Invoke(ctx, "/doc_proto.documentServicesComments/Create", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *documentServicesCommentsClient) GetCommentByDocument(ctx context.Context, in *Request, opts ...grpc.CallOption) (*Response, error) {
	out := new(Response)
	err := c.cc.Invoke(ctx, "/doc_proto.documentServicesComments/GetCommentByDocument", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// DocumentServicesCommentsServer is the server API for DocumentServicesComments service.
type DocumentServicesCommentsServer interface {
	Create(context.Context, *Request) (*Response, error)
	GetCommentByDocument(context.Context, *Request) (*Response, error)
}

// UnimplementedDocumentServicesCommentsServer can be embedded to have forward compatible implementations.
type UnimplementedDocumentServicesCommentsServer struct {
}

func (*UnimplementedDocumentServicesCommentsServer) Create(context.Context, *Request) (*Response, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Create not implemented")
}
func (*UnimplementedDocumentServicesCommentsServer) GetCommentByDocument(context.Context, *Request) (*Response, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetCommentByDocument not implemented")
}

func RegisterDocumentServicesCommentsServer(s *grpc.Server, srv DocumentServicesCommentsServer) {
	s.RegisterService(&_DocumentServicesComments_serviceDesc, srv)
}

func _DocumentServicesComments_Create_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(Request)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(DocumentServicesCommentsServer).Create(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/doc_proto.documentServicesComments/Create",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(DocumentServicesCommentsServer).Create(ctx, req.(*Request))
	}
	return interceptor(ctx, in, info, handler)
}

func _DocumentServicesComments_GetCommentByDocument_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(Request)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(DocumentServicesCommentsServer).GetCommentByDocument(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/doc_proto.documentServicesComments/GetCommentByDocument",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(DocumentServicesCommentsServer).GetCommentByDocument(ctx, req.(*Request))
	}
	return interceptor(ctx, in, info, handler)
}

var _DocumentServicesComments_serviceDesc = grpc.ServiceDesc{
	ServiceName: "doc_proto.documentServicesComments",
	HandlerType: (*DocumentServicesCommentsServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "Create",
			Handler:    _DocumentServicesComments_Create_Handler,
		},
		{
			MethodName: "GetCommentByDocument",
			Handler:    _DocumentServicesComments_GetCommentByDocument_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "shared/doc/proto/document.proto",
}

// DocumentServicesCompositionClient is the client API for DocumentServicesComposition service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type DocumentServicesCompositionClient interface {
	Create(ctx context.Context, in *Request, opts ...grpc.CallOption) (*Response, error)
}

type documentServicesCompositionClient struct {
	cc grpc.ClientConnInterface
}

func NewDocumentServicesCompositionClient(cc grpc.ClientConnInterface) DocumentServicesCompositionClient {
	return &documentServicesCompositionClient{cc}
}

func (c *documentServicesCompositionClient) Create(ctx context.Context, in *Request, opts ...grpc.CallOption) (*Response, error) {
	out := new(Response)
	err := c.cc.Invoke(ctx, "/doc_proto.documentServicesComposition/Create", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// DocumentServicesCompositionServer is the server API for DocumentServicesComposition service.
type DocumentServicesCompositionServer interface {
	Create(context.Context, *Request) (*Response, error)
}

// UnimplementedDocumentServicesCompositionServer can be embedded to have forward compatible implementations.
type UnimplementedDocumentServicesCompositionServer struct {
}

func (*UnimplementedDocumentServicesCompositionServer) Create(context.Context, *Request) (*Response, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Create not implemented")
}

func RegisterDocumentServicesCompositionServer(s *grpc.Server, srv DocumentServicesCompositionServer) {
	s.RegisterService(&_DocumentServicesComposition_serviceDesc, srv)
}

func _DocumentServicesComposition_Create_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(Request)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(DocumentServicesCompositionServer).Create(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/doc_proto.documentServicesComposition/Create",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(DocumentServicesCompositionServer).Create(ctx, req.(*Request))
	}
	return interceptor(ctx, in, info, handler)
}

var _DocumentServicesComposition_serviceDesc = grpc.ServiceDesc{
	ServiceName: "doc_proto.documentServicesComposition",
	HandlerType: (*DocumentServicesCompositionServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "Create",
			Handler:    _DocumentServicesComposition_Create_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "shared/doc/proto/document.proto",
}
